# OSGeo::FDO::Expression::BinaryExpression Class Reference
[OSGeo::FDO::Expression]

Inheritance diagram for OSGeo::FDO::Expression::BinaryExpression:

[legend]

List of all members.

## Detailed Description

The BinaryExpression class derives from Expression and represents string concatenation and the simple arithmetic operations add, subtract, multiply, and divide.

()

## Public Member Functions
| BinaryExpression (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a BinaryExpression object based on an unmanaged instance of the object.
| BinaryExpression (OSGeo::FDO::Expression::Expression *leftExpression, OSGeo::FDO::Expression::BinaryOperations operation, OSGeo::FDO::Expression::Expression *rightExpression)
| Constructs an instance of an BinaryExpression using the specified arguments.
| BinaryExpression ()
| Constructs a default instance of an BinaryExpression.
__property OSGeo::FDO::Expression::Expression * | get_LeftExpression ()
| Gets the expression on the left side of the binary expression.
__property OSGeo::FDO::Expression::BinaryOperations | get_Operation ()
| Gets the binary operation to be evaluated by this expression.
__property OSGeo::FDO::Expression::Expression * | get_RightExpression ()
| Gets the expression on the right side of the binary expression.
System::Void | Process (OSGeo::FDO::Expression::IExpressionProcessor *processor)
| Overrides Expression.Process to pass the BinaryOperation to the appropriate expression processor operation.
__property System::Void | set_LeftExpression (OSGeo::FDO::Expression::Expression *value)
| Sets the expression on the left side of the binary expression.
__property System::Void | set_Operation (OSGeo::FDO::Expression::BinaryOperations value)
| Sets the binary operation to be evaluated by this expression.
__property System::Void | set_RightExpression (OSGeo::FDO::Expression::Expression *value)
| Sets the expression on the right side of the binary expression.
System::String * | ToString ()
| Returns the well defined text representation of this expression.